## org.apache.wml
Interface WMLMetaElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, WMLElement

All Known Implementing Classes:
  WMLMetaElementImpl

    public interface WMLMetaElement

extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

The meta element contains meta-info of an WML deck (Section 11.3.2, WAP WML Version 16-Jun-1999)

Version:
  $Id: WMLMetaElement.java 319808 2004-02-24 23:34:05Z mrglavas $
Author:
  David Li

Field Summary

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getContent()`
`boolean` `getForua()`
`java.lang.String` `getHttpEquiv()`
`java.lang.String` `getName()`
`java.lang.String` `getScheme()`
`void` `setContent(java.lang.String newValue)` 'content' attribute specifies the property value
`void` `setForua(boolean newValue)` 'forua' attribute specifies whether a intermediate agent should remove this meta element.
`void` `setHttpEquiv(java.lang.String newValue)` 'http-equiv' attribute indicates the property should be interpret as HTTP header.
`void` `setName(java.lang.String newValue)` 'name' attribute specific the property name
`void` `setScheme(java.lang.String newValue)` 'scheme' attribute specifies a form that may be used to interpret the property value

Methods inherited from interface org.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### setName

    void setName(java.lang.String newValue)

  'name' attribute specific the property name

### getName

    java.lang.String getName()

### setHttpEquiv

    void setHttpEquiv(java.lang.String newValue)

  'http-equiv' attribute indicates the property should be interpret as HTTP header.

### getHttpEquiv

    java.lang.String getHttpEquiv()

### setForua

    void setForua(boolean newValue)

  'forua' attribute specifies whether a intermediate agent should remove this meta element. A value of false means the intermediate agent must remove the element.

### getForua

    boolean getForua()

### setScheme

    void setScheme(java.lang.String newValue)

  'scheme' attribute specifies a form that may be used to interpret the property value

### getScheme

    java.lang.String getScheme()

### setContent

    void setContent(java.lang.String newValue)

  'content' attribute specifies the property value

### getContent

    java.lang.String getContent()

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.